## SPEC file for Perl module Net::CUPS

%define version    0.59
%define release    alt1

Name: perl-Net-CUPS
Version: %version
Release: %release

Summary: Perl interface to the Common Unix Printing System API
Summary(ru_RU.UTF-8): интерфейс Perl к API Common Unix Printing System

License: %perl_license
Group: Development/Perl
URL: http://search.cpan.org/~dhageman/Net-CUPS/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

%define real_name Net-CUPS
Source: http://search.cpan.org/CPAN/authors/id/D/DH/DHAGEMAN/%real_name-%version.tar.gz

AutoReqProv: perl, yes
BuildRequires(pre): perl-devel rpm-build-licenses
BuildRequires: perl-Exporter-Cluster

# Automatically added by buildreq on Thu Feb 28 2008
BuildRequires: libcups-devel libgnutls-devel perl-devel zlib-devel

%description
Perl module  Net::CUPS is an interface to the Common Unix Printing
System API.  It provides an ability  for calling most functions of 
the C CUPS API from Perl.

%description -l ru_RU.UTF-8
Модуль Perl  Net::CUPS  предоставляет интерфейс к  API Common Unix 
Printing System (CUPS). Он предоставляет возможность использования
большинства функций C API для CUPS из Perl.
 
%prep
%setup  -n %real_name-%version

# CUPS 1.3.7 does't export i18n.h
%__subst 's@#include <cups/i18n.h>@/*#include <cups/i18n.h>*/@' CUPS.xs

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes TODO examples
%exclude %perl_vendor_man3dir/*
%exclude /.perl.req
%perl_vendor_autolib/Net/CUPS*
%perl_vendor_archlib/Net/CUPS*

%changelog
* Sun Dec 14 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.59-alt1
- New version 0.59

* Mon Apr 07 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.55-alt2
- Fix build with CUPS 1.3.7

* Thu Feb 28 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.55-alt1
- New version 0.55

* Sun Mar 25 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.51-alt1
- New version 0.51
  - Reworked the entire module into the new design

* Sat Sep 16 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.41-alt1
- Initial build for ALT Linux Sisyphus

* Thu Aug 10 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.41-alt0
- Initial build
